Bug 1116627 - ga: Requires are incorrect
Summary: ga: Requires are incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ga
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-06 15:19 UTC by marcindulak
Modified: 2014-10-23 16:06 UTC (History)
3 users (show)

Fixed In Version: ga-5.3b-12.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 16:11:04 UTC


Attachments (Terms of Use)

Description marcindulak 2014-07-06 15:19:03 UTC
Description of problem:

%package openmpi needs explicit Requires: scalapack-openmpi, blacs-openmpi, openmpi
The same for %package mpich, otherwise yum does not know, e.g. which libmpiblacs.so.2 to install (mpich or openmpi one?).

Version-Release number of selected component (if applicable):

ga-5.3b-8

How reproducible:


Steps to Reproduce:
1. yum -y remove scalapack* blacs* ga*; yum -y install ga-openmpi
2.
3.

Actual results:

Pulls in scalapack-mpich and blacs-mpich

Expected results:

scalapack-openmpi and blacs-openmpi are installed 

Additional info:

The problem affects all platforms: Fedora 20, EPEL 6, EPEL 7.

Comment 1 Fedora Update System 2014-07-08 04:47:24 UTC
ga-5.3b-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ga-5.3b-9.fc20

Comment 2 Fedora Update System 2014-07-08 05:28:33 UTC
ga-5.3b-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ga-5.3b-9.el6

Comment 3 Fedora Update System 2014-07-09 02:29:06 UTC
Package ga-5.3b-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ga-5.3b-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8188/ga-5.3b-9.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-10-07 02:21:23 UTC
ga-5.3b-12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ga-5.3b-12.fc21

Comment 5 Fedora Update System 2014-10-07 02:21:48 UTC
ga-5.3b-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ga-5.3b-12.fc20

Comment 6 Fedora Update System 2014-10-07 02:22:13 UTC
ga-5.3b-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ga-5.3b-12.el6

Comment 7 lnie 2014-10-08 03:28:47 UTC
ga-5.3b-12.fc20 works

Comment 8 Fedora Update System 2014-10-10 16:11:04 UTC
ga-5.3b-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-10-14 04:35:33 UTC
ga-5.3b-12.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-10-23 16:06:28 UTC
ga-5.3b-12.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.